<!doctype html>
<!--[if IE 7]>    <html class="ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8]>    <html class="ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 9]>    <html class="ie9" <?php language_attributes(); ?>> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--> <html <?php language_attributes(); ?>> <!--<![endif]-->
		<head>
				<!-- META TAGS -->
				<meta charset="<?php bloginfo( 'charset' ); ?>" />
				<meta name="viewport" content="width=device-width" />
				
				<title><?php wp_title('|', true, 'right'); ?><?php bloginfo('name'); ?></title>
                				               				                
                <?php
				$favicon = get_option('theme_favicon');
				if( !empty($favicon) )
				{
					?>
					<!-- FAVICON -->
					<link rel="shortcut icon" href="<?php echo $favicon; ?>" />
					<?php
				}
				?>
                
                <!-- Style Sheet-->
				<link href='http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,800,700,300' rel='stylesheet' type='text/css'>
				<link href='http://fonts.googleapis.com/css?family=Droid+Sans' rel='stylesheet' type='text/css'>
				<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>"/>                                         
                
                <!-- Pingback URL -->
                <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
                
                <!-- RSS -->
                <link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'rss2_url' ); ?>" />
                <link rel="alternate" type="application/atom+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'atom_url' ); ?>" />                                
                
                <?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
				
				<?php 
				// Quick CSS from Theme Options
				$quick_css = stripslashes(get_option('theme_quick_css')); 
				
				if(!empty($quick_css))
				{
					echo "<style type='text/css' id='quick-css'>\n\n";
					echo $quick_css . "\n\n";
					echo "</style>";
				}					
				?>
				
				<?php wp_head(); ?>
                
                <!--[if lt IE 9]>
	           		<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
	    		<![endif]-->
                
                <?php 
				// Google Analytics From Theme Options
				echo stripslashes(get_option('theme_google_analytics')); 
				?>															
				
		</head>
		<body <?php body_class(); ?>>				
        
				<!-- Starting Website Wrapper -->
                <div id="wrapper">
                		
                        <!-- Starting Header of the website -->
                        <header id="header">
                        		
                                
                                <!-- Website Logo Place -->
                                <a href="<?php echo home_url(); ?>" class="logo"  title="<?php bloginfo( 'name' ); ?>">                                    	
                                    <?php 
                                    $logo_path = get_option('theme_sitelogo'); 
                                    
                                    if(!empty($logo_path))
                                    {
                                        ?>
                                        <img src="<?php echo $logo_path; ?>" alt="<?php  bloginfo( 'name' ); ?>">
                                        <?php
                                    }
                                    ?>
                                    <span class="tagline"><?php bloginfo( 'description' ); ?></span>
                                </a>                                    									
								
                                
                                <?php
										$show_social = get_option('theme_show_social_menu');
										
										$sl_faceook = get_option('theme_facebook_link');
										$sl_twitter = get_option('theme_twitter_link');
										$sl_flickr = get_option('theme_flickr_link');
										$sl_google = get_option('theme_google_link');
										$sl_linkedin = get_option('theme_linkedin_link');
										$sl_rss = get_option('theme_rss_link');
										$sl_skype = get_option('theme_skype_link');
										$sl_phone = get_option('theme_phone_link');

										
										if($show_social == 'true')
										{
		                        				?>                                   
                                                <ul class="social-nav">
                                                        <?php
                                                                echo ($sl_faceook) ? '<li class="facebook"><a target="_blank" href="'.$sl_faceook.'"></a></li>' : '';
                                                                echo ($sl_twitter) ? '<li class="twitter"><a target="_blank" href="'.$sl_twitter.'"></a></li>' : '';
                                                                echo ($sl_skype) ? '<li class="skype"><a target="_blank" href="'.$sl_skype.'"></a></li>' : '';																	
                                                                echo ($sl_flickr) ? '<li class="flickr"><a target="_blank" href="'.$sl_flickr.'"></a></li>' : '';																	
                                                                echo ($sl_google) ? '<li class="google"><a target="_blank" href="'.$sl_google.'"></a></li>' : '';																
                                                                echo ($sl_linkedin) ? '<li class="linkedin"><a target="_blank" href="'.$sl_linkedin.'"></a></li>' : '';															
                                                                echo ($sl_rss) ? '<li class="rss"><a target="_blank" href="'.$sl_rss.'"></a></li>' : '';
																echo ($sl_phone) ? '<li class="phone"><span>'.$sl_phone.'</span></li>' : '';														
                                                        ?>
                                                </ul>
                                				<?php 
										} 
										?>                                
								
                                
                                <nav class="main-nav clearfix">
                                		<!-- MAIN NAVIGATION -->
                                		<?php 
										wp_nav_menu( array( 
											'theme_location' => 'main-menu',
											'container' => false
										)); 
										?>
                                        
                                        <!-- GLOBAL SEARCH -->
                                        <form method="get" action="<?php echo home_url(); ?>" id="topsearch">
                                        		<p>
                                                		<input type="text" placeholder="Search" name="s" id="tsearch">
                                                        <input type="submit" id="topsubmit" value="">
                                                </p>
                                        </form>
                                </nav>
                        </header><!-- ending of header of the website -->